com.sun.jna.platform.win32

## Interface WinBase.EnumResNameProc

All Superinterfaces:
  Callback

Enclosing interface:
  WinBase

    public static interface WinBase.EnumResNameProc
    extends Callback

An application-defined callback function used with the EnumResourceNames and EnumResourceNamesEx functions.
It receives the type and name of a resource.
The ENUMRESNAMEPROC type defines a pointer to this callback function.
EnumResNameProc is a placeholder for the application-defined function name.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.jna.Callback

`Callback.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from interface com.sun.jna.Callback

`FORBIDDEN_NAMES, METHOD_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `invoke(WinDef.HMODULE module, Pointer type, Pointer name, Pointer lParam)`

### Method Detail

#### invoke

    boolean invoke(WinDef.HMODULE module,
                   Pointer type,
                   Pointer name,
                   Pointer lParam)

Parameters:
  `module` - A handle to the module whose executable file contains the resources that are being enumerated.
  If this parameter is NULL, the function enumerates the resource names in the module used to create the current process.
  `type` - The type of resource for which the name is being enumerated.
  Alternately, rather than a pointer, this parameter can be `MAKEINTRESOURCE(ID)`, where ID is an integer value representing a predefined resource type.
  For standard resource types, see Resource Types.
  For more information, see the Remarks section below.
  `name` - The name of a resource of the type being enumerated.
  Alternately, rather than a pointer, this parameter can be `MAKEINTRESOURCE(ID)`, where ID is the integer identifier of the resource.
  For more information, see the Remarks section below.
  `lParam` - An application-defined parameter passed to the EnumResourceNames or EnumResourceNamesEx function.
  This parameter can be used in error checking.
Returns:
  Returns TRUE to continue enumeration or FALSE to stop enumeration.

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.